# Copyright(c) 1998, Space Science and Engineering Center, UW-Madison
# Refer to "McIDAS Software Acquisition and Distribution Policies"
# in the file  mcidas/data/license.txt

# $Id: placeit.tcl,v 1.3 1998/10/13 20:26:45 dglo Exp $

#	placehelp window
#
#
#	places window under the cursor instead of letting the window
#	manager decide where to put things
#
#
#	This one is for help windows, in case we want to do something
#	special with help windows.

proc placehelp { helpwindow } {

#	get the location of the pointer
	set ptr [winfo pointerxy $helpwindow]

#	put the x and y values from $ptr and make them into +x and +y
	set x [format "+%s" [lindex $ptr 0]]
	set y [format "+%s" [lindex $ptr 1]]

#	tell the window manager where to put the window
	wm geometry $helpwindow $x$y
}

#
#	placegui window
#
#
#	places window under the cursor instead of letting the window
#	manager decide where to put things
#
#
#	This one is for gui windows, in case we want to do something
#	special with gui windows.

proc placegui { guiwindow } {

#	get the location of the pointer
	set ptr [winfo pointerxy $guiwindow]

#	put the x and y values from $ptr and make them into +x and +y
	set x [format "+%s" [lindex $ptr 0]]
	set y [format "+%s" [lindex $ptr 1]]

#	tell the window manager where to put the window
	wm geometry $guiwindow $x$y
}

#
#	placepopup window
#
#
#	places window under the cursor instead of letting the window
#	manager decide where to put things
#
#
#	This one is for help popups, in case we want to do something
#	special with popups windows.

proc placepopup { popupwindow } {

#	get the location of the pointer
	set ptr [winfo pointerxy $popupwindow]

#	put the x and y values from $ptr and make them into +x and +y
	set x [format "+%s" [lindex $ptr 0]]
	set y [format "+%s" [lindex $ptr 1]]

#	tell the window manager where to put the window
	wm geometry $popupwindow $x$y
}

